WordPress.org

Ready to get started?Download WordPress

Forums

Upgrading WordPress problems with Fantastico (6 posts)

  1. carlosmiller
    Member
    Posted 6 years ago #

    I have never figured out an efficient way of upgrading WordPress. It's gotten to the point where I avoid upgrading at all possible costs.

    However, I recently was told by my host, Lunar Pages, that I needed to upgrade because my blog was using too much resources.

    The problem is, when I use Fantastico, I get the following message:

    "Only manual upgrade possible".

    Why the hell does it say this?

    The manual upgrade just seems like such a tedious task because from what I see, I have to upload each individual file because Lunar Pages control panel does not allow one to upload folders, only files.

    There must be an easier way than for me to spend the entire night uploading files.

    As it is right now, I deleted a bunch of files as directed only to be left without access to my stats.

  2. Sammy Russo
    Member
    Posted 6 years ago #

    It may be telling you this because your fantversion.php may not exist in the site root. make sure you have this file. if you do, open up fantversion.php and make sure it matches the version you are actually running.

    If you can't get it to go.. you will be have to manually upgrade.. it's pretty simple just make sure you follow the directions in the Codex, especially the part about backing everything up, including your database.

    it will be much faster to upgrade if you use an ftp client like cute_ftp or filezilla. I use filezilla

  3. carlosmiller
    Member
    Posted 6 years ago #

    srmarketing,

    You were right about the fanterversion.php file. I ended up putting it in and when I tried to upgrade through Fantastico, it said it was successful.

    However, when I go to the dashboard of my blog, it still tells me I need to upgrade, so something is not right here.

  4. Sammy Russo
    Member
    Posted 6 years ago #

    Glad it was as easy as the fantversion.php file. That one throws me off sometimes because I usually install with Fantastico and run manual updates in between the major releases.

    Which version does your dashboard say you are running? Does that match the version the Fantastico says you are running?

    Just curious..

  5. carlosmiller
    Member
    Posted 6 years ago #

    Fantastico says it upgraded my site to 2.6.

    When I log into my WP admin page, it says I am still using 2.3.3 and I need to upgrade.

  6. beano
    Member
    Posted 5 years ago #

    Thanks srmarketing,

    That's exactly what the problem with mine was too.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags